当前位置: 首页>>技术问答>>正文


如何安装xulrunner?

, ,

问题描述

我正在尝试从10.04到12.04迁移我用于大学课程的虚拟机,并且我正在使用xulrunner以便

  • 首先,我可以将SQLiteManager作为一个独立的应用程序

  • 接下来,KNIME可以为其节点提供帮助

我尝试添加mozilla ppa,如某些帖子中所述,例如: herehere,但是当我在Synaptic中搜索xulrunner时,我得不到匹配。

我在this link中读到,xulrunner被故意排除在外,坦率地说,我认为这是一个糟糕的决定!无论如何,有没有人知道如何摆脱这种情况,即如何获得xulrunner?

最佳解决办法

xulrunner在12.04的存储库中不再可用,但是安装Mozilla Foundation here提供的最新版本非常容易。由于这些xulrunner版本是self-contained,我们将它们放在/opt目录中。

  1. 使用Ctrl + Alt + T打开终端

  2. 键入cd /opt

  3. 以下步骤将根据当前安装的Firefox版本以及您的Ubuntu是32位还是64位自动下载适当版本的xulrunner。 (如果您正在运行Firefox测试版等,请从浏览器手动复制URL并将XURL=设置为它(见下文)

    • 复制并粘贴到终端,逐行:

    
    FFVER=`grep -Po  "\d{2}\.\d+" /usr/lib/firefox/platform.ini`
    ARCH=`uname -p`
    XURL=https://ftp.mozilla.org/pub/mozilla.org/xulrunner/releases/$FFVER/runtimes/xulrunner-$FFVER.en-US.linux-$ARCH.tar.bz2
    cd /opt
    sudo sh -c "wget -O- $XURL | tar -xj"
    sudo ln -s /opt/xulrunner/xulrunner /usr/bin/xulrunner
    sudo ln -s /opt/xulrunner/xpcshell /usr/bin/xpcshell
    

xulrunner现已安装,可以从任何地方使用简单的xulrunner运行。

  • 要卸载它,只需删除/opt下的xulrunner目录,以及/usr/bin/xulrunner/usr/bin/xpcshell符号链接。

次佳解决办法

我遇到了与Eclipse失败的类似问题。通过执行以下操作,我能够使我的Eclipse版本正常工作。您可以为预期的应用程序执行此操作。

  1. 要查找Eclipse版本支持的XULRunner版本:http://www.eclipse.org/swt/faq.php#browserlinux

  2. 转到Mozilla XULRunner releases downloads。选择所需的版本。忽略b*后缀版本(测试版),并尝试选择最新版本。再次,您可以选择所需的版本。

    [DIR]   10.0.1/         09-Feb-2012 01:11   -    
    [DIR]   10.0.2/         16-Feb-2012 02:55   -    
    [DIR]   10.0.4esr/      22-May-2012 20:56   -    
    [DIR]   10.0/           29-Jan-2012 11:32   -    
    [DIR]   10.0b2/         28-Dec-2011 10:38   -    
    [DIR]   10.0b3/         08-Jan-2012 03:02   -    
    [DIR]   10.0b5/         18-Jan-2012 15:27   -    
    [DIR]   10.0b6/         24-Jan-2012 03:53   -
    

    我在这个例子中安装了10.0.2

  3. 根据您的操作系统选择下载。我正在运行32位Linux,所以我选择了xulrunner-10.0.2.en-US.linux-i686.tar.bz2

  4. 保存下载的文件,解压缩/安装它。

    sudo tar -xjvf xulrunner-10.0.2.en-US.linux-i686.tar.bz2
    
  5. 在应用程序文件(eclipse.ini)中设置xulrunner的路径。

    -Dorg.eclipse.swt.browser.XULRunnerPath=/Path_where_xulrunner_is extracted/xulrunner/
    

现在Eclipse将使用安装的给定版本的xulrunner。

参考资料

本文由Ubuntu问答整理, 博文地址: https://ubuntuqa.com/article/7021.html,未经允许,请勿转载。

相关内容